/**
 *
 */
package com.ims.eval.controller;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ims.system.auth.ImsPreAuth;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;

import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.servlet.mvc.support.RedirectAttributes;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.http.MediaType;


import org.springframework.web.bind.annotation.*;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;

import com.ims.core.controller.WebController;
import com.ims.core.utils.StringUtils;

import com.ims.eval.entity.Indicator;
import com.ims.eval.service.IIndicatorService;

/**
 * 指标Controller
 * @author wang
 * @version 2023-02-23
 */
@Controller
@RequestMapping(value = "/eval/indicator")
public class IndicatorController extends WebController<IIndicatorService,Indicator> {

 	//@ImsPreAuth("eval:indicator:view")
	@RequestMapping(value = "list")
	public String list(Indicator indicator, Model model) {
		return "ims/ims-eval${ims_eval_suffix}/eval/indicatorList";
	}

    //@ImsPreAuth("eval:indicator:view")
	@RequestMapping(value = "form")
	public String form(Indicator indicator, Model model) {
	    String formView = indicator.getFormView();
	    if(StringUtils.isNotBlank(formView)){
			return "ims/"+formView;
		}
		return "ims/ims-eval${ims_eval_suffix}/eval/indicatorForm";
	}

    //@ImsPreAuth("eval:indicator:view")
	@RequestMapping(value = "lov")
	public String lov(Indicator indicator, Model model) {
		return "ims/ims-eval${ims_eval_suffix}/eval/indicatorList";
	}

    //@ImsPreAuth("eval:indicator:view")
	@RequestMapping(value = "data")
	@ResponseBody
	public String getData(Indicator indicator, HttpServletRequest request, HttpServletResponse response, Model model)  throws IOException  {
        return  super.getData(indicator,request,response,model);
	}

    //@ImsPreAuth("eval:indicator:view")
	@RequestMapping(value = "allData")
	@ResponseBody
	public String getAllData(Indicator indicator, HttpServletRequest request, HttpServletResponse response, Model model)  throws IOException  {
        return  super.getAllData(indicator,request,response,model);
	}

    //@ImsPreAuth("eval:indicator:view")
	@RequestMapping(value = "get")
	@ResponseBody
	public String get(Indicator indicator, HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
        return  super.get(indicator,request,response,model);
	}

    //@ImsPreAuth("eval:indicator:edit")
	@RequestMapping(value = "initInsert")
	@ResponseBody
	public String initInsert(Indicator indicator, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.initInsert(indicator,request,response,model);
	}

    //@ImsPreAuth("eval:indicator:edit")
	@RequestMapping(value = "checkSave")
	@ResponseBody
	public String checkSave(Indicator indicator, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.checkSave(indicator,request,response,model);
	}

    //@ImsPreAuth("eval:indicator:edit")
	@RequestMapping(value = "save")
	@ResponseBody
	public String save(Indicator indicator, Model model,  HttpServletRequest request, HttpServletResponse response) {
		 return super.save(indicator,request,response,model);
	}

    //@ImsPreAuth("eval:indicator:remove")
	@RequestMapping(value = "checkRemove")
	@ResponseBody
	public String checkRemove(Indicator indicator, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.checkRemove(indicator,request,response,model);
	}

    //@ImsPreAuth("eval:indicator:remove")
	@RequestMapping(value = "remove")
	@ResponseBody
	public String remove(Indicator indicator, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.remove(indicator,request,response,model);
	}

    //@ImsPreAuth("eval:indicator:edit")
	@RequestMapping(value = "import",produces=MediaType.APPLICATION_JSON_UTF8_VALUE)
	@ResponseBody
	public String importFile(Indicator indicator,MultipartFile excelFile, HttpServletRequest request, HttpServletResponse response) {
         return super.importFile(indicator,excelFile,null,request,response);
	}

    //@ImsPreAuth("eval:indicator:view")
	@RequestMapping(value = "export", method= RequestMethod.POST)
	public void exportFile(Indicator indicator, HttpServletRequest request, HttpServletResponse response) {
         super.exportFile(indicator,request,response );
	}

}