/**
 *
 */
package com.ims.eval.service.impl;

import java.util.List;
import com.ims.core.utils.IdGen;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.ims.core.persistence.Page;
import com.ims.core.service.impl.CrudServiceImpl;

import com.ims.eval.service.IIndicatorService;

import com.ims.eval.entity.Indicator;
import com.ims.eval.dao.IndicatorDao;


/**
 * 指标Service
 * @author wang
 * @version 2023-02-23
 */
@Service
@Transactional(readOnly = true)
public class IndicatorServiceImpl extends CrudServiceImpl<IndicatorDao, Indicator> implements IIndicatorService{

 	public Indicator get(Indicator indicator) {
		return super.get(indicator);
	}

    public List<Indicator> findList(Indicator indicator) {
        return super.findList(indicator);
    }

	public List<Indicator> findAllListM(Indicator indicator,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
	 	return super.findAllListM(indicator,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public Page<Indicator> findPageM(Page<Indicator> page, Indicator indicator,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
		return super.findPageM(page, indicator,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public Indicator initInsert(Indicator indicator)  {
		return super.initInsert(indicator);
	}

	@Transactional(readOnly = false)
	public void checkSave(Indicator indicator) {
		super.checkSave(indicator);
	}

	@Transactional(readOnly = false)
	public Indicator save(Indicator indicator, boolean isNewRecord){
	    if(isNewRecord){
	        indicator.setId(IdGen.uuid());
	    }
		return super.save(indicator,isNewRecord);
	}

    @Transactional(readOnly = false)
    @Override
    public void insertList(List<Indicator> list){
        super.insertList(list);
    }

	@Transactional(readOnly = false)
	public void checkRemove(Indicator indicator,String baseFilter){
		super.checkRemove(indicator,baseFilter);
	}

	@Transactional(readOnly = false)
	public void delete(Indicator indicator,String baseFilter) {
		super.delete(indicator,baseFilter);
	}
}